var APIBase = require("../../api.base");
var system = require("../../../system");
var settings = require("../../../../config/settings");
class icName extends APIBase {
    constructor() {
        super();
        this.utilsIcNameSve = system.getObject("service.utilsSve.utilsIcNameSve");
        this.orderproductSve = system.getObject("service.order.orderproductSve");
    }
    async getProductUsageInfo(pobj, qobj, req) {
        if(!pobj){
            return system.getConsoleResultFail(-100, "parameter exception");
        }
        if(!pobj.interface){
            return system.getConsoleResultFail(-101, "interface can not be empty");
        }
        if(!pobj.interface.para){
            return system.getConsoleResultFail(-102, "para can not be empty");
        }
        if(!pobj.interface.interfaceName){
            return system.getConsoleResultFail(-103, "interfaceName can not be empty");
        }
        var productType = null;
        if(pobj.interface.interfaceName=="getVatProductUsageInfo"){
            productType="qcfw";
        }
        if(pobj.interface.interfaceName=="getBusinessRegistrationProductUsageInfo"){
            productType="ic";
        }
        if(!productType){
            return system.getConsoleResultFail(-104, "invalid interfaceName");
        }
        var para = pobj.interface.para;
        var userId = null;
        userId=para.openId || para.uin;
        if(!userId){
            return system.getConsoleResultFail(-105, "unknown user account");
        }
        if(!para.hasOwnProperty("appId")){
            return system.getConsoleResultFail(-106, "appId can not be empty");
        }
        if(!para.hasOwnProperty("projectId")){
            return system.getConsoleResultFail(-107, "projectId can not be empty");
        }
        var count = await this.orderproductSve.dao.findCount({ where: {user_id: userId, product_type: { [this.orderproductSve.db.Op.like]: "%/"+productType+"/%" } } });//增值电信产品数量
        var resData = {
            "nums": count, // 产品使用数量
            "isOpen": 1, // 0未开通此产品；1已开通此产品
            "unit": "次" // 产品使用数量单位
        };
        return system.getConsoleResultSuccess(resData);
    }
    // async getVat(pobj, qobj, req) {
    //     if(!pobj){
    //         return system.getConsoleResultFail(-100, "参数异常");
    //     }
    //     if(!pobj.interface){
    //         return system.getConsoleResultFail(-101, "interface can not be empty!");
    //     }
    //     if(!pobj.interface.para){
    //         return system.getConsoleResultFail(-102, "para can not be empty!");
    //     }
    //     if(!pobj.interface.interfaceName){
    //         return system.getConsoleResultFail(-103, "interfaceName can not be empty!");
    //     }
    //     var para = pobj.interface.para;
    //     var userId = null;
    //     userId=para.openId || para.uin;
    //     if(!userId){
    //         return system.getConsoleResultFail(-104, "用户id不能为空");
    //     }
    //     var count = await this.orderproductSve.dao.findCount({ where: {user_id: userId, product_type: { [this.orderproductSve.db.Op.like]: "%/qcfw/%" } } });//增值电信产品数量
    //     var resData = {
    //         "nums": count, // 产品使用数量
    //         "isOpen": 1, // 0未开通此产品；1已开通此产品
    //         "unit": "次" // 产品使用数量单位
    //     };
    //     return system.getConsoleResultSuccess(resData);
    // }
    // async getBusinessRegistration(pobj, qobj, req) {
    //     if(!pobj){
    //         return system.getConsoleResultFail(-100, "参数异常");
    //     }
    //     if(!pobj.interface){
    //         return system.getConsoleResultFail(-101, "interface can not be empty!");
    //     }
    //     if(!pobj.interface.para){
    //         return system.getConsoleResultFail(-102, "para can not be empty!");
    //     }
    //     if(!pobj.interface.interfaceName){
    //         return system.getConsoleResultFail(-103, "interfaceName can not be empty!");
    //     }
    //     var para = pobj.interface.para;
    //     var userId = null;
    //     userId=para.openId || para.uin;
    //     if(!userId){
    //         return system.getConsoleResultFail(-104, "用户id不能为空");
    //     }
    //     var count = await this.orderproductSve.dao.findCount({ where: {user_id: userId, product_type: { [this.orderproductSve.db.Op.like]: "%/ic/%" } } });//增值电信产品数量
    //     var resData = {
    //         "nums": count, // 产品使用数量
    //         "isOpen": 1, // 0未开通此产品；1已开通此产品
    //         "unit": "次" // 产品使用数量单位
    //     };
    //     return system.getConsoleResultSuccess(resData);
    // }
}
module.exports = icName;
